> For the complete documentation index, see [llms.txt](https://play.docs.nexx.cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://play.docs.nexx.cloud/other-integration-options/webviews.md).

# WebViews

## Setting the Platform

nexxPLAY will work in WebViews out of the Box. It is strongly recommended though to use the Javascript SDK instead of iFrames here - nevertheless, iFrames will work most of the Times too.

If the Player will be shown in your own native App in a hybrid Context, you might want to inform the Player about this Gateway for statistical Purposes. You can use an SDK Method for this:

```javascript
//supported are iOS and android WebViews. Choose the right Platform (lowercase)
_play.config.setPlatform('ios|android');
```

You can find all available Configuration Settings here:

{% content-ref url="/pages/-M9Ff5c\_bjGXe44xg\_oO" %}
[Player Management](/javascript-sdk/player-management.md)
{% endcontent-ref %}

## UI and Functionality

As the WebView in your hybrid App is under your Control, you can decide to disable (or force) certain common Web Restrictions (like AutoPlay, FullScreen etc). nexxPLAY will automatically detect, if Fullscreen and PictureInPicture Functionalities are available.

Nevertheless, if you want to use AutoPlay with active Sound without a User Gesture, you can configure your WebView to behave like that. There is no Way to detect this for nexxPLAY though, so you can force the Player to behave like this by using the following Override:

```javascript
var cfg=new _play.PlayerConfiguration({
    webViewRestrictionsDisabled:1
});
```

In modern Apps without Borders and a fully stretched UI, the Player UI might intefere with the Status Bar or a physical Notch. This specific Case can be handled with another Override:

```javascript
var cfg=new _play.PlayerConfiguration({
    forceNotchPadding:1
});
```

You can find all available Overrides here:

{% content-ref url="/pages/-M9FfDOPhMEysfN-axhI" %}
[SDK Override Options](/integration-enhancements/override-options.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://play.docs.nexx.cloud/other-integration-options/webviews.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
